Bug 1286246 - NetworkManager not Connect OpenVPN
NetworkManager not Connect OpenVPN
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: NetworkManager-openvpn (Show other bugs)
23
x86_64 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Lubomir Rintel
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-27 10:13 EST by Alejandro Betancor
Modified: 2016-01-25 08:43 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-25 08:43:15 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
error from network manager (5.92 KB, image/png)
2015-11-27 10:13 EST, Alejandro Betancor
no flags Details

  None (edit)
Description Alejandro Betancor 2015-11-27 10:13:44 EST
Created attachment 1099731 [details]
error from network manager

Description of problem:
I recently installed Fedora 23 and i was setting up my openvpn connection and i have the connection failed responde when i use the NetworkManager. I set the permisions for the certificates with SELinux and also try with SELinux disabled and the result is the same.

I try connecting directly from the terminal with the command openvpn and work perfectly.


Version-Release number of selected component (if applicable):
1.0.6-8.fc23


How reproducible:
Try to connect to openvpn file with TAP interface
Comment 1 Jirka Klimes 2015-11-30 05:59:58 EST
Could you, please, include NetworkManager logs so that the error could be analyzed?

$ sudo journalctl -b -u NetworkManager

and output of these commands:
$ rpm -q NetworkManager
$ rpm -q NetworkManager-openvpn
Comment 2 Alejandro Betancor 2015-11-30 14:33:50 EST
$ sudo journalctl -b -u NetworkManager

---------------------------------------------

-- Logs begin at Fri 2015-11-27 13:50:26 CET, end at Mon 2015-11-30 20:22:33 CET. --
Nov 30 20:18:21 alebeta.gonkar.internal systemd[1]: Starting Network Manager...
Nov 30 20:18:21 alebeta.gonkar.internal NetworkManager[1095]: <info>  NetworkManager (version 1.0.6-8.fc23) is starting...
Nov 30 20:18:21 alebeta.gonkar.internal NetworkManager[1095]: <info>  Read config: /etc/NetworkManager/NetworkManager.conf and conf.d: 10-ibft-plugin.
Nov 30 20:18:21 alebeta.gonkar.internal systemd[1]: Started Network Manager.
Nov 30 20:18:21 alebeta.gonkar.internal NetworkManager[1095]: <info>  VPN: loaded org.freedesktop.NetworkManager.pptp
Nov 30 20:18:21 alebeta.gonkar.internal NetworkManager[1095]: <info>  VPN: loaded org.freedesktop.NetworkManager.vpnc
Nov 30 20:18:21 alebeta.gonkar.internal NetworkManager[1095]: <info>  VPN: loaded org.freedesktop.NetworkManager.openconnect
Nov 30 20:18:21 alebeta.gonkar.internal NetworkManager[1095]: <info>  VPN: loaded org.freedesktop.NetworkManager.openvpn
Nov 30 20:18:21 alebeta.gonkar.internal NetworkManager[1095]: <info>  Loaded settings plugin ifcfg-rh: (c) 2007 - 2015 Red Hat, Inc.  To report bugs p
Nov 30 20:18:21 alebeta.gonkar.internal NetworkManager[1095]: <info>  Loaded settings plugin iBFT: (c) 2014 Red Hat, Inc.  To report bugs please use t
Nov 30 20:18:21 alebeta.gonkar.internal NetworkManager[1095]: <info>  Loaded settings plugin keyfile: (c) 2007 - 2015 Red Hat, Inc.  To report bugs pl
Nov 30 20:18:21 alebeta.gonkar.internal NetworkManager[1095]: <info>  ifcfg-rh: new connection /etc/sysconfig/network-scripts/ifcfg-hotspot@dymension.
Nov 30 20:18:21 alebeta.gonkar.internal NetworkManager[1095]: <info>  ifcfg-rh: new connection /etc/sysconfig/network-scripts/ifcfg-Gonkar (f68a209a-a
Nov 30 20:18:21 alebeta.gonkar.internal NetworkManager[1095]: <info>  ifcfg-rh: new connection /etc/sysconfig/network-scripts/ifcfg-GA-GUEST (59fa3c25
Nov 30 20:18:21 alebeta.gonkar.internal NetworkManager[1095]: <info>  ifcfg-rh: new connection /etc/sysconfig/network-scripts/ifcfg-enp1s0 (6680d0f4-6
Nov 30 20:18:21 alebeta.gonkar.internal NetworkManager[1095]: <info>  keyfile: new connection /etc/NetworkManager/system-connections/tap0-1d3c7bf3-2c4
Nov 30 20:18:21 alebeta.gonkar.internal NetworkManager[1095]: <info>  keyfile: new connection /etc/NetworkManager/system-connections/tap0 (da9f386d-79
Nov 30 20:18:21 alebeta.gonkar.internal NetworkManager[1095]: <info>  keyfile: new connection /etc/NetworkManager/system-connections/alebeta (3be3c7b5
Nov 30 20:18:21 alebeta.gonkar.internal NetworkManager[1095]: <info>  monitoring kernel firmware directory '/lib/firmware'.
Nov 30 20:18:21 alebeta.gonkar.internal NetworkManager[1095]: <info>  rfkill1: found WiFi radio killswitch (at /sys/devices/pci0000:00/0000:00:1c.1/00
Nov 30 20:18:21 alebeta.gonkar.internal NetworkManager[1095]: <info>  WiFi hardware radio set enabled
Nov 30 20:18:21 alebeta.gonkar.internal NetworkManager[1095]: <info>  WWAN hardware radio set enabled
Nov 30 20:18:21 alebeta.gonkar.internal NetworkManager[1095]: <info>  Loaded device plugin: NMVxlanFactory (internal)
Nov 30 20:18:21 alebeta.gonkar.internal NetworkManager[1095]: <info>  Loaded device plugin: NMVlanFactory (internal)
Nov 30 20:18:21 alebeta.gonkar.internal NetworkManager[1095]: <info>  Loaded device plugin: NMVethFactory (internal)
Nov 30 20:18:21 alebeta.gonkar.internal NetworkManager[1095]: <info>  Loaded device plugin: NMTunFactory (internal)
Nov 30 20:18:21 alebeta.gonkar.internal NetworkManager[1095]: <info>  Loaded device plugin: NMMacvlanFactory (internal)
Nov 30 20:18:21 alebeta.gonkar.internal NetworkManager[1095]: <info>  Loaded device plugin: NMInfinibandFactory (internal)
Nov 30 20:18:21 alebeta.gonkar.internal NetworkManager[1095]: <info>  Loaded device plugin: NMGreFactory (internal)
Nov 30 20:18:21 alebeta.gonkar.internal NetworkManager[1095]: <info>  Loaded device plugin: NMEthernetFactory (internal)
Nov 30 20:18:21 alebeta.gonkar.internal NetworkManager[1095]: <info>  Loaded device plugin: NMBridgeFactory (internal)
Nov 30 20:18:21 alebeta.gonkar.internal NetworkManager[1095]: <info>  Loaded device plugin: NMBondFactory (internal)
Nov 30 20:18:21 alebeta.gonkar.internal NetworkManager[1095]: <info>  Loaded device plugin: NMBluezManager (/usr/lib64/NetworkManager/libnm-device-plu
Nov 30 20:18:21 alebeta.gonkar.internal NetworkManager[1095]: <info>  Loaded device plugin: NMAtmManager (/usr/lib64/NetworkManager/libnm-device-plugi
Nov 30 20:18:21 alebeta.gonkar.internal NetworkManager[1095]: <info>  Loaded device plugin: NMTeamFactory (/usr/lib64/NetworkManager/libnm-device-plug
Nov 30 20:18:21 alebeta.gonkar.internal NetworkManager[1095]: <info>  Loaded device plugin: NMWifiFactory (/usr/lib64/NetworkManager/libnm-device-plug
Nov 30 20:18:21 alebeta.gonkar.internal NetworkManager[1095]: <info>  Loaded device plugin: NMWwanFactory (/usr/lib64/NetworkManager/libnm-device-plug
Nov 30 20:18:21 alebeta.gonkar.internal NetworkManager[1095]: <info>  WiFi enabled by radio killswitch; enabled by state file
Nov 30 20:18:21 alebeta.gonkar.internal NetworkManager[1095]: <info>  WWAN enabled by radio killswitch; enabled by state file
Nov 30 20:18:21 alebeta.gonkar.internal NetworkManager[1095]: <info>  WiMAX enabled by radio killswitch; enabled by state file
Nov 30 20:18:21 alebeta.gonkar.internal NetworkManager[1095]: <info>  Networking is enabled by state file
Nov 30 20:18:21 alebeta.gonkar.internal NetworkManager[1095]: <info>  (lo): link connected
Nov 30 20:18:21 alebeta.gonkar.internal NetworkManager[1095]: <info>  (lo): new Generic device (carrier: ON, driver: 'unknown', ifindex: 1)
Nov 30 20:18:21 alebeta.gonkar.internal NetworkManager[1095]: <info>  (wlp2s0): using nl80211 for WiFi device control
Nov 30 20:18:21 alebeta.gonkar.internal NetworkManager[1095]: <info>  (wlp2s0): driver supports Access Point (AP) mode
Nov 30 20:18:21 alebeta.gonkar.internal NetworkManager[1095]: <info>  (wlp2s0): new 802.11 WiFi device (carrier: UNKNOWN, driver: 'rtl8723ae', ifindex
Nov 30 20:18:21 alebeta.gonkar.internal NetworkManager[1095]: <info>  (wlp2s0): device state change: unmanaged -> unavailable (reason 'managed') [10 2
Nov 30 20:18:22 alebeta.gonkar.internal NetworkManager[1095]: <info>  (enp1s0): new Ethernet device (carrier: OFF, driver: 'alx', ifindex: 2)
Nov 30 20:18:22 alebeta.gonkar.internal NetworkManager[1095]: <info>  (enp1s0): device state change: unmanaged -> unavailable (reason 'managed') [10 2
Nov 30 20:18:22 alebeta.gonkar.internal NetworkManager[1095]: <info>  use BlueZ version 5
Nov 30 20:18:22 alebeta.gonkar.internal NetworkManager[1095]: <info>  ModemManager available in the bus
Nov 30 20:18:22 alebeta.gonkar.internal NetworkManager[1095]: <info>  wpa_supplicant running
Nov 30 20:18:22 alebeta.gonkar.internal NetworkManager[1095]: <info>  (wlp2s0) supports 4 scan SSIDs
Nov 30 20:18:22 alebeta.gonkar.internal NetworkManager[1095]: <info>  (wlp2s0): supplicant interface state: starting -> ready
Nov 30 20:18:22 alebeta.gonkar.internal NetworkManager[1095]: <info>  (wlp2s0): device state change: unavailable -> disconnected (reason 'supplicant-a
Nov 30 20:18:22 alebeta.gonkar.internal NetworkManager[1095]: <info>  (virbr0): new Bridge device (carrier: OFF, driver: 'bridge', ifindex: 4)
Nov 30 20:18:22 alebeta.gonkar.internal NetworkManager[1095]: <info>  (virbr0-nic): new Tun device (carrier: OFF, driver: 'tun', ifindex: 5)
Nov 30 20:18:22 alebeta.gonkar.internal NetworkManager[1095]: <info>  (virbr0): bridge port virbr0-nic was attached
Nov 30 20:18:22 alebeta.gonkar.internal NetworkManager[1095]: <info>  (virbr0-nic): enslaved to virbr0
Nov 30 20:18:22 alebeta.gonkar.internal NetworkManager[1095]: <info>  (virbr0-nic): link connected
Nov 30 20:18:23 alebeta.gonkar.internal NetworkManager[1095]: <info>  (virbr0): device state change: unmanaged -> unavailable (reason 'connection-assu
Nov 30 20:18:23 alebeta.gonkar.internal NetworkManager[1095]: <info>  ifcfg-rh: add connection in-memory (318b5712-5488-471f-b408-18bace645f00,"virbr0
Nov 30 20:18:23 alebeta.gonkar.internal NetworkManager[1095]: <info>  (virbr0): device state change: unavailable -> disconnected (reason 'connection-a
Nov 30 20:18:23 alebeta.gonkar.internal NetworkManager[1095]: <info>  (virbr0): Activation: starting connection 'virbr0' (318b5712-5488-471f-b408-18ba
Nov 30 20:18:23 alebeta.gonkar.internal NetworkManager[1095]: <info>  (virbr0): device state change: disconnected -> prepare (reason 'none') [30 40 0]
Nov 30 20:18:23 alebeta.gonkar.internal NetworkManager[1095]: <info>  (virbr0): device state change: prepare -> config (reason 'none') [40 50 0]
Nov 30 20:18:23 alebeta.gonkar.internal NetworkManager[1095]: <info>  keyfile: add connection in-memory (b80fa446-3815-4337-932b-9714ab0d5730,"virbr0-
Nov 30 20:18:23 alebeta.gonkar.internal NetworkManager[1095]: <info>  (virbr0-nic): device state change: unmanaged -> unavailable (reason 'connection-
Nov 30 20:18:23 alebeta.gonkar.internal NetworkManager[1095]: <info>  (virbr0-nic): device state change: unavailable -> disconnected (reason 'connecti
Nov 30 20:18:23 alebeta.gonkar.internal NetworkManager[1095]: <info>  (virbr0-nic): Activation: starting connection 'virbr0-nic' (b80fa446-3815-4337-9
Nov 30 20:18:23 alebeta.gonkar.internal NetworkManager[1095]: <info>  (virbr0): device state change: config -> ip-config (reason 'none') [50 70 0]
Nov 30 20:18:23 alebeta.gonkar.internal NetworkManager[1095]: <info>  (virbr0-nic): device state change: disconnected -> prepare (reason 'none') [30 4
Nov 30 20:18:23 alebeta.gonkar.internal NetworkManager[1095]: <info>  (virbr0): device state change: ip-config -> ip-check (reason 'none') [70 80 0]
Nov 30 20:18:23 alebeta.gonkar.internal NetworkManager[1095]: <info>  (virbr0-nic): device state change: prepare -> config (reason 'none') [40 50 0]
Nov 30 20:18:23 alebeta.gonkar.internal NetworkManager[1095]: <info>  (virbr0-nic): device state change: config -> ip-config (reason 'none') [50 70 0]
Nov 30 20:18:23 alebeta.gonkar.internal NetworkManager[1095]: <info>  (virbr0-nic): device state change: ip-config -> secondaries (reason 'none') [70 
Nov 30 20:18:23 alebeta.gonkar.internal NetworkManager[1095]: <info>  (virbr0-nic): device state change: secondaries -> activated (reason 'none') [90 
Nov 30 20:18:23 alebeta.gonkar.internal NetworkManager[1095]: <info>  NetworkManager state is now CONNECTED_LOCAL
Nov 30 20:18:23 alebeta.gonkar.internal NetworkManager[1095]: <info>  (virbr0-nic): Activation: successful, device activated.
Nov 30 20:18:23 alebeta.gonkar.internal NetworkManager[1095]: <info>  (virbr0): device state change: ip-check -> secondaries (reason 'none') [80 90 0]
Nov 30 20:18:23 alebeta.gonkar.internal NetworkManager[1095]: <info>  (virbr0): device state change: secondaries -> activated (reason 'none') [90 100 
Nov 30 20:18:23 alebeta.gonkar.internal NetworkManager[1095]: <info>  (virbr0): Activation: successful, device activated.
Nov 30 20:18:23 alebeta.gonkar.internal NetworkManager[1095]: <info>  connectivity: check for uri 'http://fedoraproject.org/static/hotspot.txt' failed
Nov 30 20:18:23 alebeta.gonkar.internal NetworkManager[1095]: <info>  (virbr0-nic): link disconnected (deferring action for 4 seconds)
Nov 30 20:18:23 alebeta.gonkar.internal NetworkManager[1095]: <info>  (wlp2s0): supplicant interface state: ready -> inactive
Nov 30 20:18:26 alebeta.gonkar.internal NetworkManager[1095]: <info>  (virbr0-nic): link disconnected (calling deferred action)
Nov 30 20:18:27 alebeta.gonkar.internal NetworkManager[1095]: <info>  startup complete
Nov 30 20:19:30 alebeta.gonkar.internal NetworkManager[1095]: <info>  ifcfg-rh: add connection /etc/sysconfig/network-scripts/ifcfg-www.buddhismus-bay
Nov 30 20:19:30 alebeta.gonkar.internal NetworkManager[1095]: <info>  (wlp2s0): Activation: starting connection 'www.buddhismus-bayern.de' (e5593dd5-f
Nov 30 20:19:30 alebeta.gonkar.internal NetworkManager[1095]: <info>  (wlp2s0): device state change: disconnected -> prepare (reason 'none') [30 40 0]
Nov 30 20:19:30 alebeta.gonkar.internal NetworkManager[1095]: <info>  NetworkManager state is now CONNECTING
Nov 30 20:19:30 alebeta.gonkar.internal NetworkManager[1095]: <info>  (wlp2s0): device state change: prepare -> config (reason 'none') [40 50 0]
Nov 30 20:19:30 alebeta.gonkar.internal NetworkManager[1095]: <info>  (wlp2s0): Activation: (wifi) access point 'www.buddhismus-bayern.de' has securit
Nov 30 20:19:30 alebeta.gonkar.internal NetworkManager[1095]: <info>  (wlp2s0): device state change: config -> need-auth (reason 'none') [50 60 0]
Nov 30 20:19:34 alebeta.gonkar.internal NetworkManager[1095]: <info>  (wlp2s0): device state change: need-auth -> prepare (reason 'none') [60 40 0]
Nov 30 20:19:34 alebeta.gonkar.internal NetworkManager[1095]: <info>  (wlp2s0): device state change: prepare -> config (reason 'none') [40 50 0]
Nov 30 20:19:34 alebeta.gonkar.internal NetworkManager[1095]: <info>  (wlp2s0): Activation: (wifi) connection 'www.buddhismus-bayern.de' has security,
Nov 30 20:19:34 alebeta.gonkar.internal NetworkManager[1095]: <info>  Config: added 'ssid' value 'www.buddhismus-bayern.de'
Nov 30 20:19:34 alebeta.gonkar.internal NetworkManager[1095]: <info>  Config: added 'scan_ssid' value '1'
Nov 30 20:19:34 alebeta.gonkar.internal NetworkManager[1095]: <info>  Config: added 'key_mgmt' value 'WPA-PSK'
Nov 30 20:19:34 alebeta.gonkar.internal NetworkManager[1095]: <info>  Config: added 'auth_alg' value 'OPEN'
Nov 30 20:19:34 alebeta.gonkar.internal NetworkManager[1095]: <info>  Config: added 'psk' value '<omitted>'
Nov 30 20:19:34 alebeta.gonkar.internal NetworkManager[1095]: <info>  Config: set interface ap_scan to 1
Nov 30 20:19:35 alebeta.gonkar.internal NetworkManager[1095]: <info>  (wlp2s0): supplicant interface state: inactive -> scanning
Nov 30 20:19:36 alebeta.gonkar.internal NetworkManager[1095]: <info>  (wlp2s0): supplicant interface state: scanning -> authenticating
Nov 30 20:19:36 alebeta.gonkar.internal NetworkManager[1095]: <info>  (wlp2s0): supplicant interface state: authenticating -> associated
Nov 30 20:19:36 alebeta.gonkar.internal NetworkManager[1095]: <info>  (wlp2s0): supplicant interface state: associated -> 4-way handshake
Nov 30 20:19:36 alebeta.gonkar.internal NetworkManager[1095]: <info>  (wlp2s0): supplicant interface state: 4-way handshake -> completed
Nov 30 20:19:36 alebeta.gonkar.internal NetworkManager[1095]: <info>  (wlp2s0): Activation: (wifi) Stage 2 of 5 (Device Configure) successful.  Connec
Nov 30 20:19:36 alebeta.gonkar.internal NetworkManager[1095]: <info>  (wlp2s0): device state change: config -> ip-config (reason 'none') [50 70 0]
Nov 30 20:19:36 alebeta.gonkar.internal NetworkManager[1095]: <info>  Activation (wlp2s0) Beginning DHCPv4 transaction (timeout in 45 seconds)
Nov 30 20:19:36 alebeta.gonkar.internal NetworkManager[1095]: <info>  dhclient started with pid 3024
Nov 30 20:19:36 alebeta.gonkar.internal dhclient[3024]: Created duid \000\001\000\001\035\357]\310 h\235k\210\331.
Nov 30 20:19:36 alebeta.gonkar.internal dhclient[3024]: DHCPDISCOVER on wlp2s0 to 255.255.255.255 port 67 interval 8 (xid=0x2ecf275)
Nov 30 20:19:36 alebeta.gonkar.internal dhclient[3024]: DHCPREQUEST on wlp2s0 to 255.255.255.255 port 67 (xid=0x2ecf275)
Nov 30 20:19:36 alebeta.gonkar.internal dhclient[3024]: DHCPOFFER from 192.168.11.1
Nov 30 20:19:36 alebeta.gonkar.internal dhclient[3024]: DHCPACK from 192.168.11.1 (xid=0x2ecf275)
Nov 30 20:19:36 alebeta.gonkar.internal NetworkManager[1095]: <info>    address 192.168.11.33
Nov 30 20:19:36 alebeta.gonkar.internal NetworkManager[1095]: <info>    plen 24 (255.255.255.0)
Nov 30 20:19:36 alebeta.gonkar.internal NetworkManager[1095]: <info>    gateway 192.168.11.1
Nov 30 20:19:36 alebeta.gonkar.internal NetworkManager[1095]: <info>    server identifier 192.168.11.1
Nov 30 20:19:36 alebeta.gonkar.internal NetworkManager[1095]: <info>    lease time 172800
Nov 30 20:19:36 alebeta.gonkar.internal NetworkManager[1095]: <info>    nameserver '192.168.11.1'
Nov 30 20:19:36 alebeta.gonkar.internal NetworkManager[1095]: <info>  (wlp2s0): DHCPv4 state changed unknown -> bound
Nov 30 20:19:36 alebeta.gonkar.internal NetworkManager[1095]: <info>  (wlp2s0): device state change: ip-config -> ip-check (reason 'none') [70 80 0]
Nov 30 20:19:36 alebeta.gonkar.internal dhclient[3024]: bound to 192.168.11.33 -- renewal in 74327 seconds.
Nov 30 20:19:36 alebeta.gonkar.internal NetworkManager[1095]: <info>  (wlp2s0): device state change: ip-check -> secondaries (reason 'none') [80 90 0]
Nov 30 20:19:36 alebeta.gonkar.internal NetworkManager[1095]: <info>  (wlp2s0): device state change: secondaries -> activated (reason 'none') [90 100 
Nov 30 20:19:36 alebeta.gonkar.internal NetworkManager[1095]: <info>  NetworkManager state is now CONNECTED_LOCAL
Nov 30 20:19:36 alebeta.gonkar.internal NetworkManager[1095]: <info>  NetworkManager state is now CONNECTED_SITE
Nov 30 20:19:36 alebeta.gonkar.internal NetworkManager[1095]: <info>  Policy set 'www.buddhismus-bayern.de' (wlp2s0) as default for IPv4 routing and D
Nov 30 20:19:36 alebeta.gonkar.internal NetworkManager[1095]: <info>  (wlp2s0): Activation: successful, device activated.
Nov 30 20:19:36 alebeta.gonkar.internal NetworkManager[1095]: <info>  NetworkManager state is now CONNECTED_GLOBAL
Nov 30 20:21:53 alebeta.gonkar.internal NetworkManager[1095]: <info>  Starting VPN service 'openvpn'...
Nov 30 20:21:53 alebeta.gonkar.internal NetworkManager[1095]: <info>  VPN service 'openvpn' started (org.freedesktop.NetworkManager.openvpn), PID 3362
Nov 30 20:21:53 alebeta.gonkar.internal NetworkManager[1095]: <info>  VPN service 'openvpn' appeared; activating connections
Nov 30 20:21:53 alebeta.gonkar.internal NetworkManager[1095]: (nm-openvpn-service:3362): nm-openvpn-WARNING **: Directory '/var/lib/openvpn/chroot' no
Nov 30 20:21:53 alebeta.gonkar.internal NetworkManager[1095]: <info>  VPN plugin state changed: starting (3)
Nov 30 20:21:53 alebeta.gonkar.internal NetworkManager[1095]: <info>  VPN connection 'alebeta' (ConnectInteractive) reply received.
Nov 30 20:21:53 alebeta.gonkar.internal NetworkManager[1095]: nm-openvpn-Message: openvpn started with pid 3364
Nov 30 20:21:53 alebeta.gonkar.internal nm-openvpn[3364]: OpenVPN 2.3.8 x86_64-redhat-linux-gnu [SSL (OpenSSL)] [LZO] [EPOLL] [PKCS11] [MH] [IPv6] bui
Nov 30 20:21:53 alebeta.gonkar.internal nm-openvpn[3364]: library versions: OpenSSL 1.0.2d-fips 9 Jul 2015, LZO 2.08
Nov 30 20:21:53 alebeta.gonkar.internal nm-openvpn[3364]: WARNING: No server certificate verification method has been enabled.  See http://openvpn.net
Nov 30 20:22:33 alebeta.gonkar.internal nm-openvpn[3364]: NOTE: the current --script-security setting may allow this configuration to call user-define
Nov 30 20:22:33 alebeta.gonkar.internal nm-openvpn[3364]: Cannot load private key file /home/alebeta/Documents/VPN/alebeta.key: error:0B080074:x509 ce
Nov 30 20:22:33 alebeta.gonkar.internal nm-openvpn[3364]: SIGUSR1[soft,private-key-password-failure] received, process restarting
Nov 30 20:22:33 alebeta.gonkar.internal NetworkManager[1095]: <warn>  VPN connection 'alebeta' connect timeout exceeded.
Nov 30 20:22:33 alebeta.gonkar.internal nm-openvpn[3364]: SIGTERM[hard,init_instance] received, process exiting
Nov 30 20:22:33 alebeta.gonkar.internal NetworkManager[1095]: nm-openvpn-Message: Terminated openvpn daemon with PID 3364.

------------------------------------------------------------------------------
rpm -q NetworkManager
------------------------------------------------------------------------------
NetworkManager-1.0.6-8.fc23.x86_64
------------------------------------------------------------------------------
rpm -q NetworkManager-openvpn
------------------------------------------------------------------------------
NetworkManager-openvpn-1.0.6-3.fc23.x86_64

Thanks friends!
Comment 3 Jirka Klimes 2015-12-01 03:31:48 EST
There is a problem with reading your private key:
Nov 30 20:22:33 alebeta.gonkar.internal nm-openvpn[3364]: Cannot load private key file /home/alebeta/Documents/VPN/alebeta.key: error:0B080074:x509 ce
Nov 30 20:22:33 alebeta.gonkar.internal nm-openvpn[3364]: SIGUSR1[soft,private-key-password-failure] received, process restarting

You should check your key and password is correct. And also consider moving your certificates and keys to  ~/.cert/, then you could enable SELinux as well.
Comment 4 Alejandro Betancor 2015-12-01 05:57:53 EST
Hello Jirka! i already loate my files in /home/alebeta/.cert/ folder and set the SELinux permissions. but i have the same error.

I change the permissions of the file. but still the same.

Other suggestion ??
Comment 5 Alejandro Betancor 2015-12-01 05:59:10 EST
and the ca.crt, user.crt and user.key is ok, because i can connect using the openvpn command like root.
Comment 6 Jirka Klimes 2015-12-01 10:15:59 EST
Would you try again and then attach NM logs as a file, so that the lines are not truncated (especially the "Cannot load private key file /home/alebeta/Documents/VPN/alebeta.key: error:0B080074:x509 ce")

See also
https://forums.openvpn.net/topic8274.html

You can also open a terminal and run this before connecting to VPN
$ sudo pkill nm-openvpn-service
$ sudo /usr/libexec/nm-openvpn-service --persist --debug

and see what errors might be there.
Comment 7 Alejandro Betancor 2015-12-01 11:38:10 EST
Hello Bro! the problem was solved... a really bad error from my side LOL hahahaha

I was mixing the CA cert with the User cert. Now i can connect without problem. using the nm help me to see, that i was using the certificate in the wrong place.

Thanks for your time.

Note You need to log in before you can comment on or make changes to this bug.